Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Address`
- `Association`
- `Auditable Event`
- `Classification`
- `Classification Node`
- `Classification Scheme`
- `Description`
- `Email Address`
- `External Identifier`
- `External Link`
- `Extrinsic Object`
- `Fax Number`
- `International String`
- `Leaf Registry Object List`
- `Localized String`
- `Mobile Telephone Number`
- `Name`
- `Object Ref`
- `Object Ref List`
- `Organization`
- `Pager Number`
- `Person Name`
- `Postal Address`
- `Registry Entry`
- `Registry Object`
- `Registry Object List`
- `Registry Package`
- `Service`
- `Service Binding`
- `Slot`
- `Specification Link`
- `Telephone Number`
- `Usage Description`
- `Usage Parameter`
- `User`
- `Value`
- `Value List`

See Also:
  `RimPackage.getDocumentRoot()`

Method Summary
`PostalAddressType` | `getAddress()` Returns the value of the 'Address' containment reference.
`AssociationType1` | `getAssociation()` Returns the value of the 'Association' containment reference.
`AuditableEventType` | `getAuditableEvent()` Returns the value of the 'Auditable Event' containment reference.
`ClassificationType` | `getClassification()` Returns the value of the 'Classification' containment reference.
`ClassificationNodeType` | `getClassificationNode()` Returns the value of the 'Classification Node' containment reference.
`ClassificationSchemeType` | `getClassificationScheme()` Returns the value of the 'Classification Scheme' containment reference.
`InternationalStringType` | `getDescription()` Returns the value of the 'Description' containment reference.
`EmailAddressType` | `getEmailAddress()` Returns the value of the 'Email Address' containment reference.
`ExternalIdentifierType` | `getExternalIdentifier()` Returns the value of the 'External Identifier' containment reference.
`ExternalLinkType` | `getExternalLink()` Returns the value of the 'External Link' containment reference.
`ExtrinsicObjectType` | `getExtrinsicObject()` Returns the value of the 'Extrinsic Object' containment reference.
`TelephoneNumberType` | `getFaxNumber()` Returns the value of the 'Fax Number' containment reference.
`InternationalStringType` | `getInternationalString()` Returns the value of the 'International String' containment reference.
`LeafRegistryObjectListType` | `getLeafRegistryObjectList()` Returns the value of the 'Leaf Registry Object List' containment reference.
`LocalizedStringType` | `getLocalizedString()` Returns the value of the 'Localized String' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`TelephoneNumberType` | `getMobileTelephoneNumber()` Returns the value of the 'Mobile Telephone Number' containment reference.
`InternationalStringType` | `getName()` Returns the value of the 'Name' containment reference.
`ObjectRefType` | `getObjectRef()` Returns the value of the 'Object Ref' containment reference.
`ObjectRefListType` | `getObjectRefList()` Returns the value of the 'Object Ref List' containment reference.
`OrganizationType` | `getOrganization()` Returns the value of the 'Organization' containment reference.
`TelephoneNumberType` | `getPagerNumber()` Returns the value of the 'Pager Number' containment reference.
`PersonNameType` | `getPersonName()` Returns the value of the 'Person Name' containment reference.
`PostalAddressType` | `getPostalAddress()` Returns the value of the 'Postal Address' containment reference.
`RegistryEntryType` | `getRegistryEntry()` Returns the value of the 'Registry Entry' containment reference.
`RegistryObjectType` | `getRegistryObject()` Returns the value of the 'Registry Object' containment reference.
`RegistryObjectListType` | `getRegistryObjectList()` Returns the value of the 'Registry Object List' containment reference.
`RegistryPackageType` | `getRegistryPackage()` Returns the value of the 'Registry Package' containment reference.
`ServiceType` | `getService()` Returns the value of the 'Service' containment reference.
`ServiceBindingType` | `getServiceBinding()` Returns the value of the 'Service Binding' containment reference.
`SlotType1` | `getSlot()` Returns the value of the 'Slot' containment reference.
`SpecificationLinkType` | `getSpecificationLink()` Returns the value of the 'Specification Link' containment reference.
`TelephoneNumberType` | `getTelephoneNumber()` Returns the value of the 'Telephone Number' containment reference.
`InternationalStringType` | `getUsageDescription()` Returns the value of the 'Usage Description' containment reference.
`java.lang.String` | `getUsageParameter()` Returns the value of the 'Usage Parameter' attribute.
`UserType` | `getUser()` Returns the value of the 'User' containment reference.
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`ValueListType` | `getValueList()` Returns the value of the 'Value List' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setAddress(PostalAddressType value)` Sets the value of the '`Address`' containment reference.
`void` | `setAssociation(AssociationType1 value)` Sets the value of the '`Association`' containment reference.
`void` | `setAuditableEvent(AuditableEventType value)` Sets the value of the '`Auditable Event`' containment reference.
`void` | `setClassification(ClassificationType value)` Sets the value of the '`Classification`' containment reference.
`void` | `setClassificationNode(ClassificationNodeType value)` Sets the value of the '`Classification Node`' containment reference.
`void` | `setClassificationScheme(ClassificationSchemeType value)` Sets the value of the '`Classification Scheme`' containment reference.
`void` | `setDescription(InternationalStringType value)` Sets the value of the '`Description`' containment reference.
`void` | `setEmailAddress(EmailAddressType value)` Sets the value of the '`Email Address`' containment reference.
`void` | `setExternalIdentifier(ExternalIdentifierType value)` Sets the value of the '`External Identifier`' containment reference.
`void` | `setExternalLink(ExternalLinkType value)` Sets the value of the '`External Link`' containment reference.
`void` | `setExtrinsicObject(ExtrinsicObjectType value)` Sets the value of the '`Extrinsic Object`' containment reference.
`void` | `setFaxNumber(TelephoneNumberType value)` Sets the value of the '`Fax Number`' containment reference.
`void` | `setInternationalString(InternationalStringType value)` Sets the value of the '`International String`' containment reference.
`void` | `setLeafRegistryObjectList(LeafRegistryObjectListType value)` Sets the value of the '`Leaf Registry Object List`' containment reference.
`void` | `setLocalizedString(LocalizedStringType value)` Sets the value of the '`Localized String`' containment reference.
`void` | `setMobileTelephoneNumber(TelephoneNumberType value)` Sets the value of the '`Mobile Telephone Number`' containment reference.
`void` | `setName(InternationalStringType value)` Sets the value of the '`Name`' containment reference.
`void` | `setObjectRef(ObjectRefType value)` Sets the value of the '`Object Ref`' containment reference.
`void` | `setObjectRefList(ObjectRefListType value)` Sets the value of the '`Object Ref List`' containment reference.
`void` | `setOrganization(OrganizationType value)` Sets the value of the '`Organization`' containment reference.
`void` | `setPagerNumber(TelephoneNumberType value)` Sets the value of the '`Pager Number`' containment reference.
`void` | `setPersonName(PersonNameType value)` Sets the value of the '`Person Name`' containment reference.
`void` | `setPostalAddress(PostalAddressType value)` Sets the value of the '`Postal Address`' containment reference.
`void` | `setRegistryEntry(RegistryEntryType value)` Sets the value of the '`Registry Entry`' containment reference.
`void` | `setRegistryObject(RegistryObjectType value)` Sets the value of the '`Registry Object`' containment reference.
`void` | `setRegistryObjectList(RegistryObjectListType value)` Sets the value of the '`Registry Object List`' containment reference.
`void` | `setRegistryPackage(RegistryPackageType value)` Sets the value of the '`Registry Package`' containment reference.
`void` | `setService(ServiceType value)` Sets the value of the '`Service`' containment reference.
`void` | `setServiceBinding(ServiceBindingType value)` Sets the value of the '`Service Binding`' containment reference.
`void` | `setSlot(SlotType1 value)` Sets the value of the '`Slot`' containment reference.
`void` | `setSpecificationLink(SpecificationLinkType value)` Sets the value of the '`Specification Link`' containment reference.
`void` | `setTelephoneNumber(TelephoneNumberType value)` Sets the value of the '`Telephone Number`' containment reference.
`void` | `setUsageDescription(InternationalStringType value)` Sets the value of the '`Usage Description`' containment reference.
`void` | `setUsageParameter(java.lang.String value)` Sets the value of the '`Usage Parameter`' attribute.
`void` | `setUser(UserType value)` Sets the value of the '`User`' containment reference.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.
`void` | `setValueList(ValueListType value)` Sets the value of the '`Value List`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `RimPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `RimPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `RimPackage.getDocumentRoot_XSISchemaLocation()`

### getAddress

    PostalAddressType getAddress()

  Returns the value of the 'Address' containment reference.

  If the meaning of the 'Address' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Address' containment reference.
  See Also:
    `setAddress(PostalAddressType)`, `RimPackage.getDocumentRoot_Address()`

### setAddress

    void setAddress(PostalAddressType value)

  Sets the value of the '`Address`' containment reference.

  Parameters:
    `value` - the new value of the 'Address' containment reference.
  See Also:
    `getAddress()`

### getAssociation

    AssociationType1 getAssociation()

  Returns the value of the 'Association' containment reference.

  If the meaning of the 'Association' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association' containment reference.
  See Also:
    `setAssociation(AssociationType1)`, `RimPackage.getDocumentRoot_Association()`

### setAssociation

    void setAssociation(AssociationType1 value)

  Sets the value of the '`Association`' containment reference.

  Parameters:
    `value` - the new value of the 'Association' containment reference.
  See Also:
    `getAssociation()`

### getAuditableEvent

    AuditableEventType getAuditableEvent()

  Returns the value of the 'Auditable Event' containment reference.

  If the meaning of the 'Auditable Event' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event' containment reference.
  See Also:
    `setAuditableEvent(AuditableEventType)`, `RimPackage.getDocumentRoot_AuditableEvent()`

### setAuditableEvent

    void setAuditableEvent(AuditableEventType value)

  Sets the value of the '`Auditable Event`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event' containment reference.
  See Also:
    `getAuditableEvent()`

### getClassification

    ClassificationType getClassification()

  Returns the value of the 'Classification' containment reference.

  If the meaning of the 'Classification' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification' containment reference.
  See Also:
    `setClassification(ClassificationType)`, `RimPackage.getDocumentRoot_Classification()`

### setClassification

    void setClassification(ClassificationType value)

  Sets the value of the '`Classification`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification' containment reference.
  See Also:
    `getClassification()`

### getClassificationNode

    ClassificationNodeType getClassificationNode()

  Returns the value of the 'Classification Node' containment reference.

  If the meaning of the 'Classification Node' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' containment reference.
  See Also:
    `setClassificationNode(ClassificationNodeType)`, `RimPackage.getDocumentRoot_ClassificationNode()`

### setClassificationNode

    void setClassificationNode(ClassificationNodeType value)

  Sets the value of the '`Classification Node`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node' containment reference.
  See Also:
    `getClassificationNode()`

### getClassificationScheme

    ClassificationSchemeType getClassificationScheme()

  Returns the value of the 'Classification Scheme' containment reference.

  If the meaning of the 'Classification Scheme' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme' containment reference.
  See Also:
    `setClassificationScheme(ClassificationSchemeType)`, `RimPackage.getDocumentRoot_ClassificationScheme()`

### setClassificationScheme

    void setClassificationScheme(ClassificationSchemeType value)

  Sets the value of the '`Classification Scheme`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme' containment reference.
  See Also:
    `getClassificationScheme()`

### getDescription

    InternationalStringType getDescription()

  Returns the value of the 'Description' containment reference.

  If the meaning of the 'Description' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `setDescription(InternationalStringType)`, `RimPackage.getDocumentRoot_Description()`

### setDescription

    void setDescription(InternationalStringType value)

  Sets the value of the '`Description`' containment reference.

  Parameters:
    `value` - the new value of the 'Description' containment reference.
  See Also:
    `getDescription()`

### getEmailAddress

    EmailAddressType getEmailAddress()

  Returns the value of the 'Email Address' containment reference.

  If the meaning of the 'Email Address' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email Address' containment reference.
  See Also:
    `setEmailAddress(EmailAddressType)`, `RimPackage.getDocumentRoot_EmailAddress()`

### setEmailAddress

    void setEmailAddress(EmailAddressType value)

  Sets the value of the '`Email Address`' containment reference.

  Parameters:
    `value` - the new value of the 'Email Address' containment reference.
  See Also:
    `getEmailAddress()`

### getExternalIdentifier

    ExternalIdentifierType getExternalIdentifier()

  Returns the value of the 'External Identifier' containment reference.

  If the meaning of the 'External Identifier' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier' containment reference.
  See Also:
    `setExternalIdentifier(ExternalIdentifierType)`, `RimPackage.getDocumentRoot_ExternalIdentifier()`

### setExternalIdentifier

    void setExternalIdentifier(ExternalIdentifierType value)

  Sets the value of the '`External Identifier`' containment reference.

  Parameters:
    `value` - the new value of the 'External Identifier' containment reference.
  See Also:
    `getExternalIdentifier()`

### getExternalLink

    ExternalLinkType getExternalLink()

  Returns the value of the 'External Link' containment reference.

  If the meaning of the 'External Link' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Link' containment reference.
  See Also:
    `setExternalLink(ExternalLinkType)`, `RimPackage.getDocumentRoot_ExternalLink()`

### setExternalLink

    void setExternalLink(ExternalLinkType value)

  Sets the value of the '`External Link`' containment reference.

  Parameters:
    `value` - the new value of the 'External Link' containment reference.
  See Also:
    `getExternalLink()`

### getExtrinsicObject

    ExtrinsicObjectType getExtrinsicObject()

  Returns the value of the 'Extrinsic Object' containment reference.

  If the meaning of the 'Extrinsic Object' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object' containment reference.
  See Also:
    `setExtrinsicObject(ExtrinsicObjectType)`, `RimPackage.getDocumentRoot_ExtrinsicObject()`

### setExtrinsicObject

    void setExtrinsicObject(ExtrinsicObjectType value)

  Sets the value of the '`Extrinsic Object`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object' containment reference.
  See Also:
    `getExtrinsicObject()`

### getFaxNumber

    TelephoneNumberType getFaxNumber()

  Returns the value of the 'Fax Number' containment reference.

  If the meaning of the 'Fax Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fax Number' containment reference.
  See Also:
    `setFaxNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_FaxNumber()`

### setFaxNumber

    void setFaxNumber(TelephoneNumberType value)

  Sets the value of the '`Fax Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Fax Number' containment reference.
  See Also:
    `getFaxNumber()`

### getInternationalString

    InternationalStringType getInternationalString()

  Returns the value of the 'International String' containment reference.

  If the meaning of the 'International String' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'International String' containment reference.
  See Also:
    `setInternationalString(InternationalStringType)`, `RimPackage.getDocumentRoot_InternationalString()`

### setInternationalString

    void setInternationalString(InternationalStringType value)

  Sets the value of the '`International String`' containment reference.

  Parameters:
    `value` - the new value of the 'International String' containment reference.
  See Also:
    `getInternationalString()`

### getLeafRegistryObjectList

    LeafRegistryObjectListType getLeafRegistryObjectList()

  Returns the value of the 'Leaf Registry Object List' containment reference.

  If the meaning of the 'Leaf Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `setLeafRegistryObjectList(LeafRegistryObjectListType)`, `RimPackage.getDocumentRoot_LeafRegistryObjectList()`

### setLeafRegistryObjectList

    void setLeafRegistryObjectList(LeafRegistryObjectListType value)

  Sets the value of the '`Leaf Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Leaf Registry Object List' containment reference.
  See Also:
    `getLeafRegistryObjectList()`

### getLocalizedString

    LocalizedStringType getLocalizedString()

  Returns the value of the 'Localized String' containment reference.

  If the meaning of the 'Localized String' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Localized String' containment reference.
  See Also:
    `setLocalizedString(LocalizedStringType)`, `RimPackage.getDocumentRoot_LocalizedString()`

### setLocalizedString

    void setLocalizedString(LocalizedStringType value)

  Sets the value of the '`Localized String`' containment reference.

  Parameters:
    `value` - the new value of the 'Localized String' containment reference.
  See Also:
    `getLocalizedString()`

### getMobileTelephoneNumber

    TelephoneNumberType getMobileTelephoneNumber()

  Returns the value of the 'Mobile Telephone Number' containment reference.

  If the meaning of the 'Mobile Telephone Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mobile Telephone Number' containment reference.
  See Also:
    `setMobileTelephoneNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_MobileTelephoneNumber()`

### setMobileTelephoneNumber

    void setMobileTelephoneNumber(TelephoneNumberType value)

  Sets the value of the '`Mobile Telephone Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Mobile Telephone Number' containment reference.
  See Also:
    `getMobileTelephoneNumber()`

### getName

    InternationalStringType getName()

  Returns the value of the 'Name' containment reference.

  If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(InternationalStringType)`, `RimPackage.getDocumentRoot_Name()`

### setName

    void setName(InternationalStringType value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getObjectRef

    ObjectRefType getObjectRef()

  Returns the value of the 'Object Ref' containment reference.

  If the meaning of the 'Object Ref' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref' containment reference.
  See Also:
    `setObjectRef(ObjectRefType)`, `RimPackage.getDocumentRoot_ObjectRef()`

### setObjectRef

    void setObjectRef(ObjectRefType value)

  Sets the value of the '`Object Ref`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref' containment reference.
  See Also:
    `getObjectRef()`

### getObjectRefList

    ObjectRefListType getObjectRefList()

  Returns the value of the 'Object Ref List' containment reference. A list of ObjectRefs

  Returns:
    the value of the 'Object Ref List' containment reference.
  See Also:
    `setObjectRefList(ObjectRefListType)`, `RimPackage.getDocumentRoot_ObjectRefList()`

### setObjectRefList

    void setObjectRefList(ObjectRefListType value)

  Sets the value of the '`Object Ref List`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref List' containment reference.
  See Also:
    `getObjectRefList()`

### getOrganization

    OrganizationType getOrganization()

  Returns the value of the 'Organization' containment reference.

  If the meaning of the 'Organization' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization' containment reference.
  See Also:
    `setOrganization(OrganizationType)`, `RimPackage.getDocumentRoot_Organization()`

### setOrganization

    void setOrganization(OrganizationType value)

  Sets the value of the '`Organization`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization' containment reference.
  See Also:
    `getOrganization()`

### getPagerNumber

    TelephoneNumberType getPagerNumber()

  Returns the value of the 'Pager Number' containment reference.

  If the meaning of the 'Pager Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Pager Number' containment reference.
  See Also:
    `setPagerNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_PagerNumber()`

### setPagerNumber

    void setPagerNumber(TelephoneNumberType value)

  Sets the value of the '`Pager Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Pager Number' containment reference.
  See Also:
    `getPagerNumber()`

### getPersonName

    PersonNameType getPersonName()

  Returns the value of the 'Person Name' containment reference.

  If the meaning of the 'Person Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Person Name' containment reference.
  See Also:
    `setPersonName(PersonNameType)`, `RimPackage.getDocumentRoot_PersonName()`

### setPersonName

    void setPersonName(PersonNameType value)

  Sets the value of the '`Person Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Person Name' containment reference.
  See Also:
    `getPersonName()`

### getPostalAddress

    PostalAddressType getPostalAddress()

  Returns the value of the 'Postal Address' containment reference.

  If the meaning of the 'Postal Address' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Address' containment reference.
  See Also:
    `setPostalAddress(PostalAddressType)`, `RimPackage.getDocumentRoot_PostalAddress()`

### setPostalAddress

    void setPostalAddress(PostalAddressType value)

  Sets the value of the '`Postal Address`' containment reference.

  Parameters:
    `value` - the new value of the 'Postal Address' containment reference.
  See Also:
    `getPostalAddress()`

### getRegistryEntry

    RegistryEntryType getRegistryEntry()

  Returns the value of the 'Registry Entry' containment reference.

  If the meaning of the 'Registry Entry' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry' containment reference.
  See Also:
    `setRegistryEntry(RegistryEntryType)`, `RimPackage.getDocumentRoot_RegistryEntry()`

### setRegistryEntry

    void setRegistryEntry(RegistryEntryType value)

  Sets the value of the '`Registry Entry`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry' containment reference.
  See Also:
    `getRegistryEntry()`

### getRegistryObject

    RegistryObjectType getRegistryObject()

  Returns the value of the 'Registry Object' containment reference.

  If the meaning of the 'Registry Object' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object' containment reference.
  See Also:
    `setRegistryObject(RegistryObjectType)`, `RimPackage.getDocumentRoot_RegistryObject()`

### setRegistryObject

    void setRegistryObject(RegistryObjectType value)

  Sets the value of the '`Registry Object`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object' containment reference.
  See Also:
    `getRegistryObject()`

### getRegistryObjectList

    RegistryObjectListType getRegistryObjectList()

  Returns the value of the 'Registry Object List' containment reference.

  If the meaning of the 'Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `setRegistryObjectList(RegistryObjectListType)`, `RimPackage.getDocumentRoot_RegistryObjectList()`

### setRegistryObjectList

    void setRegistryObjectList(RegistryObjectListType value)

  Sets the value of the '`Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `getRegistryObjectList()`

### getRegistryPackage

    RegistryPackageType getRegistryPackage()

  Returns the value of the 'Registry Package' containment reference.

  If the meaning of the 'Registry Package' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package' containment reference.
  See Also:
    `setRegistryPackage(RegistryPackageType)`, `RimPackage.getDocumentRoot_RegistryPackage()`

### setRegistryPackage

    void setRegistryPackage(RegistryPackageType value)

  Sets the value of the '`Registry Package`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package' containment reference.
  See Also:
    `getRegistryPackage()`

### getService

    ServiceType getService()

  Returns the value of the 'Service' containment reference.

  If the meaning of the 'Service' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service' containment reference.
  See Also:
    `setService(ServiceType)`, `RimPackage.getDocumentRoot_Service()`

### setService

    void setService(ServiceType value)

  Sets the value of the '`Service`' containment reference.

  Parameters:
    `value` - the new value of the 'Service' containment reference.
  See Also:
    `getService()`

### getServiceBinding

    ServiceBindingType getServiceBinding()

  Returns the value of the 'Service Binding' containment reference.

  If the meaning of the 'Service Binding' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding' containment reference.
  See Also:
    `setServiceBinding(ServiceBindingType)`, `RimPackage.getDocumentRoot_ServiceBinding()`

### setServiceBinding

    void setServiceBinding(ServiceBindingType value)

  Sets the value of the '`Service Binding`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding' containment reference.
  See Also:
    `getServiceBinding()`

### getSlot

    SlotType1 getSlot()

  Returns the value of the 'Slot' containment reference.

  If the meaning of the 'Slot' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot' containment reference.
  See Also:
    `setSlot(SlotType1)`, `RimPackage.getDocumentRoot_Slot()`

### setSlot

    void setSlot(SlotType1 value)

  Sets the value of the '`Slot`' containment reference.

  Parameters:
    `value` - the new value of the 'Slot' containment reference.
  See Also:
    `getSlot()`

### getSpecificationLink

    SpecificationLinkType getSpecificationLink()

  Returns the value of the 'Specification Link' containment reference.

  If the meaning of the 'Specification Link' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link' containment reference.
  See Also:
    `setSpecificationLink(SpecificationLinkType)`, `RimPackage.getDocumentRoot_SpecificationLink()`

### setSpecificationLink

    void setSpecificationLink(SpecificationLinkType value)

  Sets the value of the '`Specification Link`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link' containment reference.
  See Also:
    `getSpecificationLink()`

### getTelephoneNumber

    TelephoneNumberType getTelephoneNumber()

  Returns the value of the 'Telephone Number' containment reference.

  If the meaning of the 'Telephone Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number' containment reference.
  See Also:
    `setTelephoneNumber(TelephoneNumberType)`, `RimPackage.getDocumentRoot_TelephoneNumber()`

### setTelephoneNumber

    void setTelephoneNumber(TelephoneNumberType value)

  Sets the value of the '`Telephone Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Telephone Number' containment reference.
  See Also:
    `getTelephoneNumber()`

### getUsageDescription

    InternationalStringType getUsageDescription()

  Returns the value of the 'Usage Description' containment reference.

  If the meaning of the 'Usage Description' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Usage Description' containment reference.
  See Also:
    `setUsageDescription(InternationalStringType)`, `RimPackage.getDocumentRoot_UsageDescription()`

### setUsageDescription

    void setUsageDescription(InternationalStringType value)

  Sets the value of the '`Usage Description`' containment reference.

  Parameters:
    `value` - the new value of the 'Usage Description' containment reference.
  See Also:
    `getUsageDescription()`

### getUsageParameter

    java.lang.String getUsageParameter()

  Returns the value of the 'Usage Parameter' attribute.

  If the meaning of the 'Usage Parameter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Usage Parameter' attribute.
  See Also:
    `setUsageParameter(String)`, `RimPackage.getDocumentRoot_UsageParameter()`

### setUsageParameter

    void setUsageParameter(java.lang.String value)

  Sets the value of the '`Usage Parameter`' attribute.

  Parameters:
    `value` - the new value of the 'Usage Parameter' attribute.
  See Also:
    `getUsageParameter()`

### getUser

    UserType getUser()

  Returns the value of the 'User' containment reference.

  If the meaning of the 'User' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User' containment reference.
  See Also:
    `setUser(UserType)`, `RimPackage.getDocumentRoot_User()`

### setUser

    void setUser(UserType value)

  Sets the value of the '`User`' containment reference.

  Parameters:
    `value` - the new value of the 'User' containment reference.
  See Also:
    `getUser()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `RimPackage.getDocumentRoot_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getValueList

    ValueListType getValueList()

  Returns the value of the 'Value List' containment reference.

  If the meaning of the 'Value List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value List' containment reference.
  See Also:
    `setValueList(ValueListType)`, `RimPackage.getDocumentRoot_ValueList()`

### setValueList

    void setValueList(ValueListType value)

  Sets the value of the '`Value List`' containment reference.

  Parameters:
    `value` - the new value of the 'Value List' containment reference.
  See Also:
    `getValueList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD